Name:           python-scapy
Version:        2.6.1
Release:        %autorelease
Summary:        Scapy: interactive packet manipulation tool

# Check if the automatically generated License and its spelling is correct for Fedora
# https://docs.fedoraproject.org/en-US/packaging-guidelines/LicensingGuidelines/
License:        GPL-2.0-only
URL:            https://scapy.net
Source:         %{pypi_source scapy}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'scapy' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-scapy
Summary:        %{summary}

%description -n python3-scapy %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-scapy all,cli,doc


%prep
%autosetup -p1 -n scapy-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x all,cli,doc


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%pyproject_check_import -t


%files -n python3-scapy -f %{pyproject_files}


%changelog
%autochangelog